Upload Music

Upload a music file to be later used for inpainting. Only available to enterprise clients with access to the inpainting feature. Price for uploading is the same as the one for song generation. All uploaded content gets inspected for copyright infringement. If copyrighted content is detected, half of the request cost is still charged.

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing a file.
filefileRequired
The audio file to upload.
extract_composition_planbooleanOptionalDefaults to false

Whether to generate and return the composition plan for the uploaded song. If True, the response will include the composition_plan but will increase the latency.

Response

Successfully uploaded music file with optional composition plan
song_idstring
Unique identifier for the uploaded song
composition_planobject or null

The composition plan extracted from the uploaded song. Only present if extract_composition_plan was True in the request body

Errors

422
Unprocessable Entity Error